Skip to main content
GET
/
tasks
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.tasks.list({});

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/tasks \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/tasks"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "description": "<string>",
      "prompt": "<string>",
      "cron_expression": "<string>",
      "interval_seconds": 123,
      "scheduled_at": "2023-11-07T05:31:56Z",
      "event_conditions": {},
      "condition_script": "<string>",
      "timezone": "<string>",
      "delivery_methods": [],
      "model_id": "<string>",
      "active": true,
      "expires_at": "2023-11-07T05:31:56Z",
      "next_run_at": "2023-11-07T05:31:56Z",
      "last_run_at": "2023-11-07T05:31:56Z",
      "total_runs_count": 123,
      "consecutive_failure_count": 123,
      "total_credits_consumed": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "site_id": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

trigger_type
enum<string>

Filter by trigger type

Available options:
immediate,
cron,
interval,
once,
event
active
boolean

Filter by active flag

query
string

Search by task name or description

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of tasks

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required